import { Cafs, FetchFunction } from '@pnpm/fetcher-base';
import { ResolveFunction } from '@pnpm/resolver-base';
import { FetchPackageToStoreFunction, RequestPackageFunction } from '@pnpm/store-controller-types';
export default function (resolve: ResolveFunction, fetchers: {
    [type: string]: FetchFunction;
}, opts: {
    ignoreFile?: (filename: string) => boolean;
    networkConcurrency?: number;
    storeDir: string;
    verifyStoreIntegrity: boolean;
}): RequestPackageFunction & {
    cafs: Cafs;
    fetchPackageToStore: FetchPackageToStoreFunction;
    requestPackage: RequestPackageFunction;
};
